/**
 * Update Customizer settings live.
 *
 * @version 1.0.0
 */

( function( $ ) {

	// Declare vars
	var api 				= wp.customize,
		body 				= $( 'body' ),
		siteHeader 			= $( '#site-header' ),
		visibility 			= [
			'all-devices',
			'hide-tablet',
			'hide-mobile',
			'hide-tablet-mobile'
		],
		socialClasses 		= [
			'simple',
			'colored',
			'minimal',
			'dark'
		],
		menuPosition 		= [
			'left-menu',
			'right-menu',
			'center-menu'
		],
		mediumMenuPosition 	= [
			'left-menu',
			'right-menu',
			'center-menu'
		],
		tabletCol 			= [
			'tablet-1-col',
			'tablet-2-col',
			'tablet-3-col',
			'tablet-4-col'
		],
		mobileCol 			= [
			'mobile-1-col',
			'mobile-2-col',
			'mobile-3-col',
			'mobile-4-col'
		],
		wooProductsCol 		= [
			'1',
			'2',
			'3',
			'4',
			'5',
			'6',
			'7'
		],
		wooProductsTabletCol = [
			'tablet-1-col',
			'tablet-2-col',
			'tablet-3-col',
			'tablet-4-col',
			'tablet-5-col',
			'tablet-6-col',
			'tablet-7-col'
		],
		wooProductsMobileCol = [
			'mobile-1-col',
			'mobile-2-col',
			'mobile-3-col',
			'mobile-4-col',
			'mobile-5-col',
			'mobile-6-col',
			'mobile-7-col'
		],
		wooTabsPosition 	= [
			'woo-left-tabs',
			'woo-right-tabs',
			'woo-center-tabs'
		];

	/******** WordPress Core *********/

		// Site title
		api('blogname', function( value ) {
			value.bind( function( newval ) {
				$( '.site-logo-text' ).text( newval );
			});
		});

		// Site description
		api('blogdescription', function( value ) {
			value.bind( function( newval ) {
				$( '#site-description h2' ).text( newval );
			});
		});

	/******** General *********/

	    api( 'ocean_primary_color', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_primary_color' );
				if ( to ) {
					var style = '<style class="customizer-ocean_primary_color">a:hover,a.light:hover,.theme-heading .text::before,#top-bar-content > a:hover,#top-bar-social li.oceanwp-email a:hover,#site-navigation-wrap .dropdown-menu > li > a:hover,#oceanwp-mobile-menu-icon a:hover,.blog-entry.post .blog-entry-header .entry-title a:hover,.blog-entry.post .blog-entry-readmore a:hover,ul.meta li a:hover,.dropcap,.single-post nav.post-navigation .nav-links .title,.related-post-title a:hover,#wp-calendar caption,.contact-info-widget i,.custom-links-widget .oceanwp-custom-links li a:hover,.custom-links-widget .oceanwp-custom-links li a:hover:before,.posts-thumbnails-widget li a:hover,.social-widget li.oceanwp-email a:hover,.comment-author .comment-meta .comment-reply-link,#respond #cancel-comment-reply-link:hover,#footer-widgets .footer-box a:hover,#footer-bottom a:hover,#footer-bottom #footer-bottom-menu a:hover,.sidr a:hover,.sidr-class-dropdown-toggle:hover,.sidr-class-menu-item-has-children.active > a,.sidr-class-menu-item-has-children.active > a > .sidr-class-dropdown-toggle,#oceanwp-post-list.one .oceanwp-post-category:hover,#oceanwp-post-list.one .oceanwp-post-category:hover a,#oceanwp-post-list.two .slick-arrow:hover,#oceanwp-post-list.two article:hover .oceanwp-post-category,#oceanwp-post-list.two article:hover .oceanwp-post-category a,.woocommerce .oceanwp-grid-list a.active,.woocommerce .oceanwp-grid-list a:hover,input[type=checkbox]:checked:before,.woocommerce-MyAccount-navigation ul li a:before,.woocommerce-checkout .woocommerce-info a,.woocommerce-checkout #payment ul.payment_methods .wc_payment_method>input[type=radio]:first-child:checked+label:before,.woocommerce-checkout #payment .payment_method_paypal .about_paypal,.woocommerce ul.products li.product .category a:hover,.woocommerce ul.products li.product .button:hover,.woocommerce ul.products li.product .product-inner .added_to_cart:hover,.product_meta .posted_in a:hover,.product_meta .tagged_as a:hover,.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover,.woocommerce div.product .woocommerce-tabs ul.tabs li.active a,.woocommerce .oceanwp-grid-list a.active,.woocommerce .oceanwp-grid-list a:hover{ color: ' + to + '; } input[type="button"],input[type="reset"],input[type="submit"],.button,#site-navigation-wrap .dropdown-menu > li.btn > a > span,.thumbnail:hover i,.post-quote-content,#oceanwp-post-list.one .readmore:hover,#oceanwp-post-list.one .oceanwp-post-category,#oceanwp-post-list.two .oceanwp-post-category,#oceanwp-post-list.two article:hover .slide-overlay-wrap,.oceanwp-modal .oceanwp-close-modal,.woocommerce div.product div.images .open-image,.wcmenucart-details.count,.woocommerce-message a,.woocommerce-error a,.woocommerce-info a,.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,.woocommerce .widget_price_filter .ui-slider .ui-slider-range{ background-color: ' + to + '; } .widget-title,blockquote,#searchform-dropdown,.dropdown-menu .sub-menu,.blog-entry.large-entry .blog-entry-readmore a:hover,.oceanwp-newsletter-form-wrap input[type="email"]:focus,.social-widget li.oceanwp-email a:hover,#respond #cancel-comment-reply-link:hover,#footer-widgets .oceanwp-newsletter-form-wrap input[type="email"]:focus,#oceanwp-post-list.one .readmore:hover,.woocommerce .oceanwp-grid-list a.active,.woocommerce .oceanwp-grid-list a:hover,#current-shop-items-dropdown,.woocommerce div.product .woocommerce-tabs ul.tabs li.active a,.wcmenucart-details.count:before,.woocommerce ul.products li.product .button:hover,.woocommerce ul.products li.product .product-inner .added_to_cart:hover,.woocommerce div.product .woocommerce-tabs ul.tabs li.active a,.woocommerce .oceanwp-grid-list a.active,.woocommerce .oceanwp-grid-list a:hover{ border-color: ' + to + '; }</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
	    } );

	    api( 'ocean_hover_primary_color', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_hover_primary_color' );
				if ( to ) {
					var style = '<style class="customizer-ocean_hover_primary_color">input[type="button"]:hover,input[type="reset"]:hover,input[type="submit"]:hover,input[type="button"]:focus,input[type="reset"]:focus,input[type="submit"]:focus,.button:hover,#site-navigation-wrap .dropdown-menu > li.btn > a:hover > span,.post-quote-author,.oceanwp-modal .oceanwp-close-modal:hover,.woocommerce div.product div.images .open-image:hover,.woocommerce-error a:hover,.woocommerce-info a:hover,.woocommerce-message a:hover{ background-color: ' + to + '; }</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
	    } );

	    api( 'ocean_main_border_color', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_main_border_color' );
				if ( to ) {
					var style = '<style class="customizer-ocean_main_border_color">table th,table td,hr,.content-area,body.content-left-sidebar #content-wrap .content-area,.content-left-sidebar .content-area,#top-bar-wrap,#site-header,#site-header.top-header #search-toggle,.dropdown-menu ul li,.centered-minimal-page-header,.blog-entry.post,.blog-entry.grid-entry .blog-entry-inner,.single-post .entry-title,.single-post .entry-share,.single-post .entry-share ul li a,.single-post nav.post-navigation,.single-post nav.post-navigation .nav-links .nav-previous,#author-bio,#author-bio .author-bio-avatar,#author-bio .author-bio-social li a,#related-posts,#comments,.comment-body,#respond #cancel-comment-reply-link,#blog-entries .type-page,.page-numbers a,.page-numbers span:not(.elementor-screen-only),.page-links span,#wp-calendar caption,#wp-calendar th,#wp-calendar tbody,.contact-info-widget i,.posts-thumbnails-widget li,.tagcloud a{ border-color: ' + to + '; }</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
	    } );

		api('ocean_scroll_top_arrow', function( value ) {
			value.bind( function( newval ) {
				var $arrow = $( '#scroll-top > span' );

				if ( $arrow.length ) {
					$arrow.removeClass();
					$arrow.addClass( newval );
				}
			});
		});

		api('ocean_pagination_align', function( value ) {
			value.bind( function( newval ) {
				var $pagination = $( '.oceanwp-pagination' );

				if ( $pagination.length ) {
					$pagination.removeClass( 'oceanwp-center oceanwp-left oceanwp-right' );
					$pagination.addClass( 'oceanwp-'+ newval );
				}
			});
		});

	/******** Site Background *********/

	    api('ocean_background_color', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	          body.css( 'background-color', newval );
	        }
	      });
	    });

	    api('ocean_background_image_position', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	          body.css( 'background-position', newval );
	        }
	      });
	    });

	    api('ocean_background_image_attachment', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	          body.css( 'background-attachment', newval );
	        }
	      });
	    });

	    api('ocean_background_image_repeat', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	          body.css( 'background-repeat', newval );
	        }
	      });
	    });

	    api('ocean_background_image_size', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	          body.css( 'background-size', newval );
	        }
	      });
	    });

	/******** Layouts *********/	

	api('ocean_boxed_dropdshadow', function( value ) {
		value.bind( function( newval ) {
			if ( newval ) {
				body.addClass( 'wrap-boxshadow' );
			} else {
				body.removeClass( 'wrap-boxshadow' );
			}
		});
	});

  /******** Top Bar *********/

	    // Content
	    api('ocean_top_bar_content', function( value ) {
	      value.bind( function( newval ) {
	        $( '#top-bar-content .topbar-content' ).html( newval );
	      });
	    });

	    // Full width
	    api('ocean_top_bar_full_width', function( value ) {
	    	value.bind( function( newval ) {
				var $inner = $( '#top-bar' );
				if ( true == newval ) {
					$inner.removeClass( 'container' );
				} else {
					$inner.addClass( 'container' );
				}
			});
	    });

		// Visibility
		api('ocean_top_bar_visibility', function( value ) {
			value.bind( function( newval ) {
				var topBar = $( '#top-bar-wrap' );
				if ( topBar.length ) {
					$.each( visibility, function( i, v ) {
						topBar.removeClass( v );
					});
					topBar.addClass( newval );
				}
			});
		});

  /******** Header *********/

	    // Full width
	    api('ocean_header_full_width', function( value ) {
	    	value.bind( function( newval ) {
				var $inner = $( '#site-header-inner' );
				if ( true == newval && ! siteHeader.hasClass( 'custom-header' ) ) {
					$inner.removeClass( 'container' );
				} else {
					$inner.addClass( 'container' );
				}
			});
	    });

		// Custom Header add container class
		api('ocean_add_custom_header_container', function( value ) {
			value.bind( function( newval ) {
				var $inner = $( '#site-header.custom-header #site-header-inner' );
				if ( false == newval ) {
					$inner.removeClass( 'container' );
				} else {
					$inner.addClass( 'container' );
				}
			});
		});

		// Header Height
		api( 'ocean_header_height', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_header_height' );
				if ( to ) {
					var style = '<style class="customizer-ocean_header_height">#site-logo #site-logo-inner,#oceanwp-social-menu .social-menu-inner,#site-header.full_screen-header .menu-bar-inner { height: ' + to + 'px; }#site-navigation-wrap .dropdown-menu > li > a,#oceanwp-mobile-menu-icon a { line-height: ' + to + 'px; }</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
		} );
		api( 'ocean_top_header_height', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_top_header_height' );
				if ( to ) {
					var style = '<style class="customizer-ocean_top_header_height">#site-header.top-header #oceanwp-social-menu,#site-header.top-header #search-toggle { height: ' + to + 'px; }#site-header.top-header #site-navigation-wrap .dropdown-menu > li > a,#site-header.top-header #oceanwp-mobile-menu-icon a { line-height: ' + to + 'px; }</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
		} );

		// Medium Header Hidden Menu Class
		api('ocean_medium_header_hidden_menu', function( value ) {
			value.bind( function( newval ) {
				var mediumHeader = $( '#site-header.medium-header' );
				if ( newval ) {
					mediumHeader.addClass( 'hidden-menu' );
				} else {
					mediumHeader.removeClass( 'hidden-menu' );
				}
			});
		});

		// Header Border Bottom
		api('ocean_has_header_border_bottom', function( value ) {
			value.bind( function( newval ) {
				if ( newval ) {
					body.removeClass( 'no-header-border' );
				} else {
					body.addClass( 'no-header-border' );
				}
			});
		});

	    api('ocean_header_image_position', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	          $( '#site-header' ).css( 'background-position', newval );
	        }
	      });
	    });

	    api('ocean_header_image_attachment', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	          $( '#site-header' ).css( 'background-attachment', newval );
	        }
	      });
	    });

	    api('ocean_header_image_repeat', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	          $( '#site-header' ).css( 'background-repeat', newval );
	        }
	      });
	    });

	    api('ocean_header_image_size', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	          $( '#site-header' ).css( 'background-size', newval );
	        }
	      });
	    });

		// Dropdown Border Top
		api('ocean_menu_dropdown_top_border', function( value ) {
			value.bind( function( newval ) {
				if ( newval ) {
					$( '#site-navigation-wrap' ).removeClass( 'no-top-border' );
				} else {
					$( '#site-navigation-wrap' ).addClass( 'no-top-border' );
				}
			});
		});

		// Menu Position
		api('ocean_menu_position', function( value ) {
			value.bind( function( newval ) {
				if ( siteHeader.length && ! siteHeader.hasClass( 'medium-header' ) ) {
					$.each( menuPosition, function( i, v ) {
						siteHeader.removeClass( v );
					});
					siteHeader.addClass( newval );
				}
			});
		});

		// Medium Header Style Menu Position
		api('ocean_medium_header_menu_position', function( value ) {
			value.bind( function( newval ) {
				var siteNav = $( '#site-navigation-wrap' );
				if ( siteNav.length && $( '#site-header' ).hasClass( 'medium-header' ) ) {
					$.each( mediumMenuPosition, function( i, v ) {
						siteNav.removeClass( v );
					});
					siteNav.addClass( newval );
				}
			});
		});

		// Social Classes
		api('ocean_menu_social_style', function( value ) {
			value.bind( function( newval ) {
				var menuSocial 	= $( '#oceanwp-social-menu .social-menu-inner' ),
					socialWrap 	= $( '#oceanwp-social-menu' );
				if ( newval && 'simple' !== newval ) {
					socialWrap.removeClass( 'simple-social' );
					socialWrap.addClass( 'social-with-style' );
					$.each( socialClasses, function( i, v ) {
						menuSocial.removeClass( v );
					});
					menuSocial.addClass( newval );
				} else {
					socialWrap.removeClass( 'social-with-style' );
					socialWrap.addClass( 'simple-social' );
				}
				if ( 'simple' == newval ) {
					$.each( socialClasses, function( i, v ) {
						menuSocial.removeClass( v );
					});
				}
			});
		});

	    // Mobile menu icon
		api('ocean_mobile_menu_open_icon', function( value ) {
			value.bind( function( newval ) {
				var $mobileMenuIcon = $( '#oceanwp-mobile-menu-icon a i' );

				if ( $mobileMenuIcon.length ) {
					$mobileMenuIcon.removeClass();
					$mobileMenuIcon.addClass( newval );
				}
			});
		});

	    // Mobile menu text
	    api('ocean_mobile_menu_text', function( value ) {
			value.bind( function( newval ) {
				$( '#oceanwp-mobile-menu-icon a .oceanwp-text' ).html( newval );
			});
	    });

	    // Mobile menu close button icon
		api('ocean_mobile_menu_close_btn_icon', function( value ) {
			value.bind( function( newval ) {
				var $closeIcon = $( 'a.sidr-class-toggle-sidr-close i' );

				if ( $closeIcon.length ) {
					$closeIcon.removeClass();
					$closeIcon.addClass( newval );
				}
			});
		});

	    // Mobile menu close button text
	    api('ocean_mobile_menu_close_btn_text', function( value ) {
			value.bind( function( newval ) {
				$( 'a.sidr-class-toggle-sidr-close .sidr-class-close-text' ).html( newval );
			});
	    });

	    // Drop down mobile menu min height
		api( 'ocean_dropdown_mobile_menu_max_height', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_dropdown_mobile_menu_max_height' );
				if ( to ) {
					var style = '<style class="customizer-ocean_dropdown_mobile_menu_max_height">#mobile-dropdown { max-height: ' + to + 'px; }</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
		} );

	/******** Page Header *********/

		api('ocean_page_header_bg_image_position', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	        	$( '.page-header' ).css( 'background-position', newval );
	        }
	        if ( 'initial' == newval ) {
	        	$( '.page-header' ).css( 'background-position', 'top center' );
	        }
	      });
	    });

	    api('ocean_page_header_bg_image_attachment', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	        	$( '.page-header' ).css( 'background-attachment', newval );
	        }
	      });
	    });

	    api('ocean_page_header_bg_image_repeat', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	        	$( '.page-header' ).css( 'background-repeat', newval );
	        }
	        if ( 'initial' == newval ) {
	        	$( '.page-header' ).css( 'background-repeat', 'no-repeat' );
	        }
	      });
	    });

	    api('ocean_page_header_bg_image_size', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	        	$( '.page-header' ).css( 'background-size', newval );
	        }
	        if ( 'initial' == newval ) {
	        	$( '.page-header' ).css( 'background-size', 'cover' );
	        }
	      });
	    });

		// Visibility
		api('ocean_page_header_visibility', function( value ) {
			value.bind( function( newval ) {
				var pageHeader = $( '.page-header' );
				if ( pageHeader.length ) {
					$.each( visibility, function( i, v ) {
						pageHeader.removeClass( v );
					});
					pageHeader.addClass( newval );
				}
			});
		});

	/******** Blog *********/

		// Overlay on image hover
		api('ocean_blog_image_overlay', function( value ) {
			value.bind( function( newval ) {
				var overlay = $( '.blog-entry.post .thumbnail .thumbnail-link > span' );
				if ( newval ) {
					overlay.removeClass( 'no-overlay' );
					overlay.addClass( 'overlay' );
				} else {
					overlay.removeClass( 'overlay' );
					overlay.addClass( 'no-overlay' );
				}
			});
		});

		// Image in page header
		api('ocean_blog_single_title_bg_image_position', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	        	$( '.single-post .page-header' ).css( 'background-position', newval );
	        }
	        if ( 'initial' == newval ) {
	        	$( '.single-post .page-header' ).css( 'background-position', 'top center' );
	        }
	      });
	    });

	    api('ocean_blog_single_title_bg_image_attachment', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	        	$( '.single-post .page-header' ).css( 'background-attachment', newval );
	        }
	      });
	    });

	    api('ocean_blog_single_title_bg_image_repeat', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	        	$( '.single-post .page-header' ).css( 'background-repeat', newval );
	        }
	        if ( 'initial' == newval ) {
	        	$( '.single-post .page-header' ).css( 'background-repeat', 'no-repeat' );
	        }
	      });
	    });

	    api('ocean_blog_single_title_bg_image_size', function( value ) {
	      value.bind( function( newval ) {
	        if ( newval ) {
	        	$( '.single-post .page-header' ).css( 'background-size', newval );
	        }
	        if ( 'initial' == newval ) {
	        	$( '.single-post .page-header' ).css( 'background-size', 'cover' );
	        }
	      });
	    });

	/******** WooCommerce *********/

		// Cart icon
		api('ocean_woo_menu_icon', function( value ) {
			value.bind( function( newval ) {
				var $cart = $( '#site-navigation-wrap .dropdown-menu > li > a.wcmenucart i' );

				if ( $cart.length ) {
					$cart.removeClass();
					$cart.addClass( newval );
				}
			});
		});

		// Custom Cart icon
		api('ocean_woo_menu_custom_icon', function( value ) {
			value.bind( function( newval ) {
				var $cart = $( '#site-navigation-wrap .dropdown-menu > li > a.wcmenucart i' );

				if ( $cart.length ) {
					$cart.removeClass();
					$cart.addClass( newval );
				}
			});
		});

		// Menu cart icon size
		api( 'ocean_woo_menu_icon_size', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_woo_menu_icon_size' );
				if ( to ) {
					var style = '<style class="customizer-ocean_woo_menu_icon_size">.wcmenucart i { font-size: ' + to + 'px; }</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
		} );

		// Menu cart icon size tablet
		api( 'ocean_woo_menu_icon_size_tablet', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_woo_menu_icon_size_tablet' );
				if ( to ) {
					var style = '<style class="customizer-ocean_woo_menu_icon_size_tablet">@media (max-width: 768px){#oceanwp-mobile-menu-icon a.mobile-wcmenucart { font-size: ' + to + 'px; }}</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
		} );

		// Menu cart icon size mobile
		api( 'ocean_woo_menu_icon_size_mobile', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_woo_menu_icon_size_mobile' );
				if ( to ) {
					var style = '<style class="customizer-ocean_woo_menu_icon_size_mobile">@media (max-width: 480px){#oceanwp-mobile-menu-icon a.mobile-wcmenucart { font-size: ' + to + 'px; }}</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
		} );

		// Menu cart icon center vertically
		api( 'ocean_woo_menu_icon_center_vertically', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_woo_menu_icon_center_vertically' );
				if ( to ) {
					var style = '<style class="customizer-ocean_woo_menu_icon_center_vertically">.wcmenucart i { top: ' + to + 'px; }</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
		} );

		// Menu cart icon center vertically tablet
		api( 'ocean_woo_menu_icon_center_vertically_tablet', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_woo_menu_icon_center_vertically_tablet' );
				if ( to ) {
					var style = '<style class="customizer-ocean_woo_menu_icon_center_vertically_tablet">@media (max-width: 768px){#oceanwp-mobile-menu-icon a.mobile-wcmenucart { top: ' + to + 'px; }}</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
		} );

		// Menu cart icon center vertically mobile
		api( 'ocean_woo_menu_icon_center_vertically_mobile', function( value ) {
			value.bind( function( to ) {
				var $child = $( '.customizer-ocean_woo_menu_icon_center_vertically_mobile' );
				if ( to ) {
					var style = '<style class="customizer-ocean_woo_menu_icon_center_vertically_mobile">@media (max-width: 480px){#oceanwp-mobile-menu-icon a.mobile-wcmenucart { top: ' + to + 'px; }}</style>';
					if ( $child.length ) {
						$child.replaceWith( style );
					} else {
						$( 'head' ).append( style );
					}
				} else {
					$child.remove();
				}
			} );
		} );

		// Archives products columns
		api('ocean_woocommerce_shop_columns', function( value ) {
			value.bind( function( newval ) {
				var archivesCol = $( '.woocommerce .products .product' );
				if ( archivesCol.length ) {
					$.each( wooProductsCol, function( i, v ) {
						archivesCol.parent().removeClass( 'archives-col-'+ v );
						archivesCol.removeClass( 'span_1_of_'+ v );
					});
					archivesCol.parent().addClass( 'custom-col archives-col-'+ newval );
					archivesCol.addClass( 'span_1_of_'+ newval );
				}
			});
		});

		// Archives tablet columns class
		api('ocean_woocommerce_tablet_shop_columns', function( value ) {
			value.bind( function( newval ) {
				var archivesCol = $( '.woocommerce .products' );
				if ( archivesCol.length ) {
					$.each( wooProductsTabletCol, function( i, v ) {
						archivesCol.removeClass( v );
					});
					archivesCol.addClass( 'tablet-col' );
					archivesCol.addClass( 'tablet-'+ newval +'-col' );
				}
			});
		});

		// Archives mobile columns class
		api('ocean_woocommerce_mobile_shop_columns', function( value ) {
			value.bind( function( newval ) {
				var archivesCol = $( '.woocommerce .products' );
				if ( archivesCol.length ) {
					$.each( wooProductsMobileCol, function( i, v ) {
						archivesCol.removeClass( v );
					});
					archivesCol.addClass( 'mobile-col' );
					archivesCol.addClass( 'mobile-'+ newval +'-col' );
				}
			});
		});

		// Tabs Position
		api('ocean_woo_product_meta_tabs_position', function( value ) {
			value.bind( function( newval ) {
				if ( body.length ) {
					$.each( wooTabsPosition, function( i, v ) {
						body.removeClass( v );
					});
					body.addClass( 'woo-'+ newval +'-tabs' );
				}
			});
		});

	/******** Footer *********/

		// Tablet columns class
		api('ocean_footer_widgets_tablet_columns', function( value ) {
			value.bind( function( newval ) {
				var tabletWidgets = $( '#footer-widgets' );
				if ( tabletWidgets.length ) {
					$.each( tabletCol, function( i, v ) {
						tabletWidgets.removeClass( v );
					});
					tabletWidgets.addClass( 'tablet-'+ newval +'-col' );
				}
			});
		});

		// Mobile columns class
		api('ocean_footer_widgets_mobile_columns', function( value ) {
			value.bind( function( newval ) {
				var mobileWidgets = $( '#footer-widgets' );
				if ( mobileWidgets.length ) {
					$.each( mobileCol, function( i, v ) {
						mobileWidgets.removeClass( v );
					});
					mobileWidgets.addClass( 'mobile-'+ newval +'-col' );
				}
			});
		});

		// Copyright text
		api('ocean_footer_copyright_text', function( value ) {
			value.bind( function( newval ) {
				$( '#copyright' ).html( newval );
			});
		});

		// Footer widgets visibility
		api('ocean_footer_widgets_visibility', function( value ) {
			value.bind( function( newval ) {
				var footerWidgets = $( '#footer-widgets' );
				if ( footerWidgets.length ) {
					$.each( visibility, function( i, v ) {
						footerWidgets.removeClass( v );
					});
					footerWidgets.addClass( newval );
				}
			});
		});

		// Footer bottom visibility
		api('ocean_bottom_footer_visibility', function( value ) {
			value.bind( function( newval ) {
				var footerBottom = $( '#footer-bottom' );
				if ( footerBottom.length ) {
					$.each( visibility, function( i, v ) {
						footerBottom.removeClass( v );
					});
					footerBottom.addClass( newval );
				}
			});
		});
		
	/******** STYLING OPTIONS LOOP *********/
	api("ocean_page_header_bg_image_height",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_bg_image_height");if(a){var c='<style class="customizer-ocean_page_header_bg_image_height">.page-header { height: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_header_bg_image_overlay_opacity",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_bg_image_overlay_opacity");if(a){var c='<style class="customizer-ocean_page_header_bg_image_overlay_opacity">.background-image-page-header-overlay { opacity: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_header_bg_image_overlay_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_bg_image_overlay_color");if(a){var c='<style class="customizer-ocean_page_header_bg_image_overlay_color">.background-image-page-header-overlay { background-color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_header_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_top_padding");if(a){var c='<style class="customizer-ocean_page_header_top_padding">.page-header { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_header_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_bottom_padding");if(a){var c='<style class="customizer-ocean_page_header_bottom_padding">.page-header { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_header_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_tablet_top_padding");if(a){var c='<style class="customizer-ocean_page_header_tablet_top_padding">@media (max-width: 768px){.page-header, .has-transparent-header .page-header { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_header_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_page_header_tablet_bottom_padding">@media (max-width: 768px){.page-header, .has-transparent-header .page-header { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_header_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_mobile_top_padding");if(a){var c='<style class="customizer-ocean_page_header_mobile_top_padding">@media (max-width: 480px){.page-header, .has-transparent-header .page-header { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_header_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_page_header_mobile_bottom_padding">@media (max-width: 480px){.page-header, .has-transparent-header .page-header { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_header_bottom_margin",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_bottom_margin");if(a){var c='<style class="customizer-ocean_page_header_bottom_margin">.page-header { margin-bottom: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_header_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_background");if(a){var c='<style class="customizer-ocean_page_header_background">.page-header { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_header_title_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_header_title_color");if(a){var c='<style class="customizer-ocean_page_header_title_color">.page-header .page-header-title { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_blog_single_title_bg_image_height",function(a){a.bind(function(a){var b=$(".customizer-ocean_blog_single_title_bg_image_height");if(a){var c='<style class="customizer-ocean_blog_single_title_bg_image_height">.single-post .page-header { height: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_blog_single_title_bg_image_overlay_opacity",function(a){a.bind(function(a){var b=$(".customizer-ocean_blog_single_title_bg_image_overlay_opacity");if(a){var c='<style class="customizer-ocean_blog_single_title_bg_image_overlay_opacity">.single-post .background-image-page-header-overlay { opacity: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_blog_single_title_bg_image_overlay_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_blog_single_title_bg_image_overlay_color");if(a){var c='<style class="customizer-ocean_blog_single_title_bg_image_overlay_color">.single-post .background-image-page-header-overlay { background-color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_breadcrumbs_text_color",function(a){a.bind(function(a){var b=$(".customizer-breadcrumbs_text_color");if(a){var c='<style class="customizer-ocean_breadcrumbs_text_color">.site-breadcrumbs, .background-image-page-header .site-breadcrumbs { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_breadcrumbs_seperator_color",function(a){a.bind(function(a){var b=$(".customizer-breadcrumbs_seperator_color");if(a){var c='<style class="customizer-ocean_breadcrumbs_seperator_color">.site-breadcrumbs ul li:after { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_breadcrumbs_link_color",function(a){a.bind(function(a){var b=$(".customizer-breadcrumbs_link_color");if(a){var c='<style class="customizer-ocean_breadcrumbs_link_color">.site-breadcrumbs a, .background-image-page-header .site-breadcrumbs a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_breadcrumbs_link_color_hover",function(a){a.bind(function(a){var b=$(".customizer-breadcrumbs_link_color_hover");if(a){var c='<style class="customizer-ocean_breadcrumbs_link_color_hover">.site-breadcrumbs a:hover, .background-image-page-header .site-breadcrumbs a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_scroll_top_size",function(a){a.bind(function(a){var b=$(".customizer-ocean_scroll_top_size");if(a){var c='<style class="customizer-ocean_scroll_top_size">#scroll-top { width: '+a+"px;height: "+a+"px;line-height: "+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_content_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_content_top_padding");if(a){var c='<style class="customizer-ocean_page_content_top_padding">#main #content-wrap { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_content_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_content_bottom_padding");if(a){var c='<style class="customizer-ocean_page_content_bottom_padding">#main #content-wrap { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_content_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_content_tablet_top_padding");if(a){var c='<style class="customizer-ocean_page_content_tablet_top_padding">@media (max-width: 768px){#main #content-wrap { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_content_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_content_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_page_content_tablet_bottom_padding">@media (max-width: 768px){#main #content-wrap { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_content_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_content_mobile_top_padding");if(a){var c='<style class="customizer-ocean_page_content_mobile_top_padding">@media (max-width: 480px){#main #content-wrap { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_page_content_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_page_content_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_page_content_mobile_bottom_padding">@media (max-width: 480px){#main #content-wrap { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_scroll_top_icon_size",function(a){a.bind(function(a){var b=$(".customizer-ocean_scroll_top_icon_size");if(a){var c='<style class="customizer-ocean_scroll_top_icon_size">#scroll-top { font-size: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_scroll_top_border_radius",function(a){a.bind(function(a){var b=$(".customizer-ocean_scroll_top_border_radius");if(a){var c='<style class="customizer-ocean_scroll_top_border_radius">#scroll-top { border-radius: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_scroll_top_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_scroll_top_color");if(a){var c='<style class="customizer-ocean_scroll_top_color">#scroll-top { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_scroll_top_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_scroll_top_color_hover");if(a){var c='<style class="customizer-ocean_scroll_top_color_hover">#scroll-top:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_scroll_top_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_scroll_top_bg");if(a){var c='<style class="customizer-ocean_scroll_top_bg">#scroll-top { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_scroll_top_bg_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_scroll_top_bg_hover");if(a){var c='<style class="customizer-ocean_scroll_top_bg_hover">#scroll-top:hover { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_scroll_top_border",function(a){a.bind(function(a){var b=$(".customizer-ocean_scroll_top_border");if(a){var c='<style class="customizer-ocean_scroll_top_border">#scroll-top { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_scroll_top_border_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_scroll_top_border_hover");if(a){var c='<style class="customizer-ocean_scroll_top_border_hover">#scroll-top:hover { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_pagination_font_size",function(a){a.bind(function(a){var b=$(".customizer-ocean_pagination_font_size");if(a){var c='<style class="customizer-ocean_pagination_font_size">.page-numbers a, .page-numbers span:not(.elementor-screen-only), .page-links span { font-size: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_pagination_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_pagination_border_width");if(a){var c='<style class="customizer-ocean_pagination_border_width">.page-numbers a, .page-numbers span:not(.elementor-screen-only), .page-links span { border-width: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_pagination_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_pagination_border_color");if(a){var c='<style class="customizer-ocean_pagination_border_color">.page-numbers a, .page-numbers span:not(.elementor-screen-only), .page-links span { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_pagination_border_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_pagination_border_hover_color");if(a){var c='<style class="customizer-ocean_pagination_border_hover_color">.page-numbers a:hover, .page-links a:hover span, .page-numbers.current, .page-numbers.current:hover { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_pagination_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_pagination_color");if(a){var c='<style class="customizer-ocean_pagination_color">.page-numbers a, .page-numbers span:not(.elementor-screen-only), .page-links span { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_pagination_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_pagination_hover_color");if(a){var c='<style class="customizer-ocean_pagination_hover_color">.page-numbers a:hover, .page-links a:hover span, .page-numbers.current, .page-numbers.current:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_pagination_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_pagination_bg");if(a){var c='<style class="customizer-ocean_pagination_bg">.page-numbers a, .page-numbers span:not(.elementor-screen-only), .page-links span { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_pagination_hover_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_pagination_hover_bg");if(a){var c='<style class="customizer-ocean_pagination_hover_bg">.page-numbers a:hover, .page-links a:hover span, .page-numbers.current, .page-numbers.current:hover { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_label_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_label_color");if(a){var c='<style class="customizer-ocean_label_color">label { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_top_padding");if(a){var c='<style class="customizer-ocean_input_top_padding">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_right_padding");if(a){var c='<style class="customizer-ocean_input_right_padding">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-right: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_bottom_padding");if(a){var c='<style class="customizer-ocean_input_bottom_padding">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_left_padding");if(a){var c='<style class="customizer-ocean_input_left_padding">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-left: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_tablet_top_padding");if(a){var c='<style class="customizer-ocean_input_tablet_top_padding">@media (max-width: 768px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_tablet_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_tablet_right_padding");if(a){var c='<style class="customizer-ocean_input_tablet_right_padding">@media (max-width: 768px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_input_tablet_bottom_padding">@media (max-width: 768px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_tablet_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_tablet_left_padding");if(a){var c='<style class="customizer-ocean_input_tablet_left_padding">@media (max-width: 768px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_mobile_top_padding");if(a){var c='<style class="customizer-ocean_input_mobile_top_padding">@media (max-width: 480px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_mobile_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_mobile_right_padding");if(a){var c='<style class="customizer-ocean_input_mobile_right_padding">@media (max-width: 480px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_input_mobile_bottom_padding">@media (max-width: 480px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_mobile_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_mobile_left_padding");if(a){var c='<style class="customizer-ocean_input_mobile_left_padding">@media (max-width: 480px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_border_radius",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_border_radius");if(a){var c='<style class="customizer-ocean_input_border_radius">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-radius: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_font_size",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_font_size");if(a){var c='<style class="customizer-ocean_input_font_size">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { font-size: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_background");if(a){var c='<style class="customizer-ocean_input_background">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_border_color");if(a){var c='<style class="customizer-ocean_input_border_color">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea,.select2-container .select2-choice { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_border_color_focus",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_border_color_focus");if(a){var c='<style class="customizer-ocean_input_border_color_focus">form input[type="text"]:focus,form input[type="password"]:focus,form input[type="email"]:focus,form input[type="tel"]:focus,form input[type="url"]:focus,form input[type="search"]:focus,form textarea:focus,.select2-drop-active,.select2-dropdown-open.select2-drop-above .select2-choice,.select2-dropdown-open.select2-drop-above .select2-choices,.select2-drop.select2-drop-above.select2-drop-active,.select2-container-active .select2-choice,.select2-container-active .select2-choices { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_top_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_top_border_width");if(a){var c='<style class="customizer-ocean_input_top_border_width">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-top-width: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_right_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_right_border_width");if(a){var c='<style class="customizer-ocean_input_right_border_width">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-right-width: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_bottom_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_bottom_border_width");if(a){var c='<style class="customizer-ocean_input_bottom_border_width">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-bottom-width: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_left_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_left_border_width");if(a){var c='<style class="customizer-ocean_input_left_border_width">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-left-width: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_tablet_top_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_tablet_top_border_width");if(a){var c='<style class="customizer-ocean_input_tablet_top_border_width">@media (max-width: 768px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-top-width: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_tablet_right_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_tablet_right_border_width");if(a){var c='<style class="customizer-ocean_input_tablet_right_border_width">@media (max-width: 768px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-right-width: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_tablet_bottom_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_tablet_bottom_border_width");if(a){var c='<style class="customizer-ocean_input_tablet_bottom_border_width">@media (max-width: 768px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-bottom-width: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_tablet_left_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_tablet_left_border_width");if(a){var c='<style class="customizer-ocean_input_tablet_left_border_width">@media (max-width: 768px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-left-width: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_mobile_top_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_mobile_top_border_width");if(a){var c='<style class="customizer-ocean_input_mobile_top_border_width">@media (max-width: 480px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-top-width: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_mobile_right_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_mobile_right_border_width");if(a){var c='<style class="customizer-ocean_input_mobile_right_border_width">@media (max-width: 480px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-right-width: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_mobile_bottom_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_mobile_bottom_border_width");if(a){var c='<style class="customizer-ocean_input_mobile_bottom_border_width">@media (max-width: 480px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-bottom-width: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_mobile_left_border_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_mobile_left_border_width");if(a){var c='<style class="customizer-ocean_input_mobile_left_border_width">@media (max-width: 480px){form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { border-left-width: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_input_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_input_color");if(a){var c='<style class="customizer-ocean_input_color">form input[type="text"],form input[type="password"],form input[type="email"],form input[type="tel"],form input[type="url"],form input[type="search"],form textarea { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mailchimp_input_border",function(a){a.bind(function(a){var b=$(".customizer-ocean_mailchimp_input_border");if(a){var c='<style class="customizer-ocean_mailchimp_input_border">body .oceanwp-newsletter-form-wrap input[type="email"] { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mailchimp_input_border_focus",function(a){a.bind(function(a){var b=$(".customizer-ocean_mailchimp_input_border_focus");if(a){var c='<style class="customizer-ocean_mailchimp_input_border_focus">body .oceanwp-newsletter-form-wrap input[type="email"]:focus,body #footer-widgets .oceanwp-newsletter-form-wrap input[type="email"]:focus { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_links_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_links_color");if(a){var c='<style class="customizer-ocean_links_color">a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_links_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_links_color_hover");if(a){var c='<style class="customizer-ocean_links_color_hover">a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_top_padding");if(a){var c='<style class="customizer-ocean_theme_button_top_padding">.theme-button,input[type="submit"],button { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_right_padding");if(a){var c='<style class="customizer-ocean_theme_button_right_padding">.theme-button,input[type="submit"],button { padding-right: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_bottom_padding");if(a){var c='<style class="customizer-ocean_theme_button_bottom_padding">.theme-button,input[type="submit"],button { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_left_padding");if(a){var c='<style class="customizer-ocean_theme_button_left_padding">.theme-button,input[type="submit"],button { padding-left: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_tablet_top_padding");if(a){var c='<style class="customizer-ocean_theme_button_tablet_top_padding">@media (max-width: 768px){.theme-button,input[type="submit"],button { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_tablet_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_tablet_right_padding");if(a){var c='<style class="customizer-ocean_theme_button_tablet_right_padding">@media (max-width: 768px){.theme-button,input[type="submit"],button { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_theme_button_tablet_bottom_padding">@media (max-width: 768px){.theme-button,input[type="submit"],button { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_tablet_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_tablet_left_padding");if(a){var c='<style class="customizer-ocean_theme_button_tablet_left_padding">@media (max-width: 768px){.theme-button,input[type="submit"],button { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_mobile_top_padding");if(a){var c='<style class="customizer-ocean_theme_button_mobile_top_padding">@media (max-width: 480px){.theme-button,input[type="submit"],button { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_mobile_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_mobile_right_padding");if(a){var c='<style class="customizer-ocean_theme_button_mobile_right_padding">@media (max-width: 480px){.theme-button,input[type="submit"],button { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_theme_button_mobile_bottom_padding">@media (max-width: 480px){.theme-button,input[type="submit"],button { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_mobile_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_mobile_left_padding");if(a){var c='<style class="customizer-ocean_theme_button_mobile_left_padding">@media (max-width: 480px){.theme-button,input[type="submit"],button { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_border_radius",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_border_radius");if(a){var c='<style class="customizer-ocean_theme_button_border_radius">input[type="button"], input[type="reset"], input[type="submit"], .button { border-radius: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_color");if(a){var c='<style class="customizer-ocean_theme_button_color">.theme-button,input[type="submit"],button,.button { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_hover_color");if(a){var c='<style class="customizer-ocean_theme_button_hover_color">.theme-button:hover,input[type="submit"]:hover,button:hover,.button:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_bg");if(a){var c='<style class="customizer-ocean_theme_button_bg">input[type="button"], input[type="reset"], input[type="submit"], .button { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_theme_button_hover_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_theme_button_hover_bg");if(a){var c='<style class="customizer-ocean_theme_button_hover_bg">input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, .button:hover { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_boxed_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_boxed_width");if(a){var c='<style class="customizer-ocean_boxed_width">.boxed-main-layout #wrap, .osf-footer .site-footer { width: '+a+"px; }.osf-footer .site-footer { margin-left: -"+a/2+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_boxed_outside_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_boxed_outside_bg");if(a){var c='<style class="customizer-ocean_boxed_outside_bg">.boxed-main-layout { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_boxed_inner_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_boxed_inner_bg");if(a){var c='<style class="customizer-ocean_boxed_inner_bg">.boxed-main-layout #wrap { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_main_container_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_main_container_width");if(a){var c='<style class="customizer-ocean_main_container_width">.container { width: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_left_container_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_left_container_width");if(a){var c='<style class="customizer-ocean_left_container_width">@media only screen and (min-width: 960px){ .content-area,.content-left-sidebar .content-area { width: '+a+"%; } }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_width");if(a){var c='<style class="customizer-ocean_sidebar_width">@media only screen and (min-width: 960px){ .widget-area,.content-left-sidebar .widget-area { width: '+a+"%; } }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_bg");if(a){var c='<style class="customizer-ocean_top_bar_bg">#top-bar-wrap { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_border_color");if(a){var c='<style class="customizer-ocean_top_bar_border_color">#top-bar-wrap { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_text_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_text_color");if(a){var c='<style class="customizer-ocean_top_bar_text_color">#top-bar-wrap,#top-bar-content strong { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_link_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_link_color");if(a){var c='<style class="customizer-ocean_top_bar_link_color">#top-bar-content a,#top-bar-social-alt a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_link_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_link_color_hover");if(a){var c='<style class="customizer-ocean_top_bar_link_color_hover">#top-bar-content a:hover,#top-bar-social-alt a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_bg");if(a){var c='<style class="customizer-ocean_sidebar_bg">#sidebar { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_top_padding");if(a){var c='<style class="customizer-ocean_sidebar_top_padding">.widget-area { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_right_padding");if(a){var c='<style class="customizer-ocean_sidebar_right_padding">.widget-area { padding-right: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_bottom_padding");if(a){var c='<style class="customizer-ocean_sidebar_bottom_padding">.widget-area { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_left_padding");if(a){var c='<style class="customizer-ocean_sidebar_left_padding">.widget-area { padding-left: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_tablet_top_padding");if(a){var c='<style class="customizer-ocean_sidebar_tablet_top_padding">@media (max-width: 768px){.widget-area { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_tablet_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_tablet_right_padding");if(a){var c='<style class="customizer-ocean_sidebar_tablet_right_padding">@media (max-width: 768px){.widget-area { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_sidebar_tablet_bottom_padding">@media (max-width: 768px){.widget-area { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_tablet_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_tablet_left_padding");if(a){var c='<style class="customizer-ocean_sidebar_tablet_left_padding">@media (max-width: 768px){.widget-area { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_mobile_top_padding");if(a){var c='<style class="customizer-ocean_sidebar_mobile_top_padding">@media (max-width: 480px){.widget-area { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_mobile_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_mobile_right_padding");if(a){var c='<style class="customizer-ocean_sidebar_mobile_right_padding">@media (max-width: 480px){.widget-area { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_sidebar_mobile_bottom_padding">@media (max-width: 480px){.widget-area { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_sidebar_mobile_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_sidebar_mobile_left_padding");if(a){var c='<style class="customizer-ocean_sidebar_mobile_left_padding">@media (max-width: 480px){.widget-area { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_bg");if(a){var c='<style class="customizer-ocean_widgets_bg">#sidebar .sidebar-box { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_top_padding");if(a){var c='<style class="customizer-ocean_widgets_top_padding">#sidebar .sidebar-box { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_right_padding");if(a){var c='<style class="customizer-ocean_widgets_right_padding">#sidebar .sidebar-box { padding-right: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_bottom_padding");if(a){var c='<style class="customizer-ocean_widgets_bottom_padding">#sidebar .sidebar-box { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_left_padding");if(a){var c='<style class="customizer-ocean_widgets_left_padding">#sidebar .sidebar-box { padding-left: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_tablet_top_padding");if(a){var c='<style class="customizer-ocean_widgets_tablet_top_padding">@media (max-width: 768px){#sidebar .sidebar-box { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_tablet_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_tablet_right_padding");if(a){var c='<style class="customizer-ocean_widgets_tablet_right_padding">@media (max-width: 768px){#sidebar .sidebar-box { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_widgets_tablet_bottom_padding">@media (max-width: 768px){#sidebar .sidebar-box { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_tablet_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_tablet_left_padding");if(a){var c='<style class="customizer-ocean_widgets_tablet_left_padding">@media (max-width: 768px){#sidebar .sidebar-box { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_mobile_top_padding");if(a){var c='<style class="customizer-ocean_widgets_mobile_top_padding">@media (max-width: 480px){#sidebar .sidebar-box { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_mobile_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_mobile_right_padding");if(a){var c='<style class="customizer-ocean_widgets_mobile_right_padding">@media (max-width: 480px){#sidebar .sidebar-box { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_widgets_mobile_bottom_padding">@media (max-width: 480px){#sidebar .sidebar-box { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_mobile_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_mobile_left_padding");if(a){var c='<style class="customizer-ocean_widgets_mobile_left_padding">@media (max-width: 480px){#sidebar .sidebar-box { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_margin_bottom",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_margin_bottom");if(a){var c='<style class="customizer-ocean_widgets_margin_bottom">#sidebar .sidebar-box { margin-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_titles_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_titles_border_color");if(a){var c='<style class="customizer-ocean_widgets_titles_border_color">.widget-title { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_widgets_titles_margin_bottom",function(a){a.bind(function(a){var b=$(".customizer-ocean_widgets_titles_margin_bottom");if(a){var c='<style class="customizer-ocean_widgets_titles_margin_bottom">.widget-title { margin-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_top_padding");if(a){var c='<style class="customizer-ocean_top_bar_top_padding">#top-bar { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_right_padding");if(a){var c='<style class="customizer-ocean_top_bar_right_padding">#top-bar { padding-right: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_bottom_padding");if(a){var c='<style class="customizer-ocean_top_bar_bottom_padding">#top-bar { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_left_padding");if(a){var c='<style class="customizer-ocean_top_bar_left_padding">#top-bar { padding-left: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_tablet_top_padding");if(a){var c='<style class="customizer-ocean_top_bar_tablet_top_padding">@media (max-width: 768px){#top-bar { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_tablet_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_tablet_right_padding");if(a){var c='<style class="customizer-ocean_top_bar_tablet_right_padding">@media (max-width: 768px){#top-bar { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_top_bar_tablet_bottom_padding">@media (max-width: 768px){#top-bar { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_tablet_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_tablet_left_padding");if(a){var c='<style class="customizer-ocean_top_bar_tablet_left_padding">@media (max-width: 768px){#top-bar { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_mobile_top_padding");if(a){var c='<style class="customizer-ocean_top_bar_mobile_top_padding">@media (max-width: 480px){#top-bar { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_mobile_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_mobile_right_padding");if(a){var c='<style class="customizer-ocean_top_bar_mobile_right_padding">@media (max-width: 480px){#top-bar { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_top_bar_mobile_bottom_padding">@media (max-width: 480px){#top-bar { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_mobile_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_mobile_left_padding");if(a){var c='<style class="customizer-ocean_top_bar_mobile_left_padding">@media (max-width: 480px){#top-bar { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_social_font_size",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_social_font_size");if(a){var c='<style class="customizer-ocean_top_bar_social_font_size">#top-bar-social li a { font-size: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_social_tablet_font_size",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_social_tablet_font_size");if(a){var c='<style class="customizer-ocean_top_bar_social_tablet_font_size">@media (max-width: 768px){#top-bar-social li a,.sidr-class-social-menu-inner ul li a { font-size: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_social_mobile_font_size",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_social_mobile_font_size");if(a){var c='<style class="customizer-ocean_top_bar_social_mobile_font_size">@media (max-width: 768px){#top-bar-social li a,.sidr-class-social-menu-inner ul li a { font-size: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_social_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_social_right_padding");if(a){var c='<style class="customizer-ocean_top_bar_social_right_padding">#top-bar-social li a { padding-right: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_social_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_social_left_padding");if(a){var c='<style class="customizer-ocean_top_bar_social_left_padding">#top-bar-social li a { padding-left: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_social_tablet_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_social_tablet_right_padding");if(a){var c='<style class="customizer-ocean_top_bar_social_tablet_right_padding">@media (max-width: 768px){#top-bar-social li a { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_social_tablet_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_social_tablet_left_padding");if(a){var c='<style class="customizer-ocean_top_bar_social_tablet_left_padding">@media (max-width: 768px){#top-bar-social li a { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_social_mobile_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_social_mobile_right_padding");if(a){var c='<style class="customizer-ocean_top_bar_social_mobile_right_padding">@media (max-width: 480px){#top-bar-social li a { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_social_mobile_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_social_mobile_left_padding");if(a){var c='<style class="customizer-ocean_top_bar_social_mobile_left_padding">@media (max-width: 480px){#top-bar-social li a { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_social_links_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_social_links_color");if(a){var c='<style class="customizer-ocean_top_bar_social_links_color">#top-bar-social li a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_bar_social_hover_links_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_bar_social_hover_links_color");if(a){var c='<style class="customizer-ocean_top_bar_social_hover_links_color">body #top-bar #top-bar-social li a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_top_padding");if(a&&!siteHeader.hasClass("medium-header")){var c='<style class="customizer-ocean_header_top_padding">#site-header-inner { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_right_padding");if(a&&!siteHeader.hasClass("medium-header")){var c='<style class="customizer-ocean_header_right_padding">#site-header-inner { padding-right: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_bottom_padding");if(a&&!siteHeader.hasClass("medium-header")){var c='<style class="customizer-ocean_header_bottom_padding">#site-header-inner { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_left_padding");if(a&&!siteHeader.hasClass("medium-header")){var c='<style class="customizer-ocean_header_left_padding">#site-header-inner { padding-left: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_tablet_top_padding");if(a){var c='<style class="customizer-ocean_header_tablet_top_padding">@media (max-width: 768px){#site-header-inner { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_tablet_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_tablet_right_padding");if(a){var c='<style class="customizer-ocean_header_tablet_right_padding">@media (max-width: 768px){#site-header-inner { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_header_tablet_bottom_padding">@media (max-width: 768px){#site-header-inner { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_tablet_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_tablet_left_padding");if(a){var c='<style class="customizer-ocean_header_tablet_left_padding">@media (max-width: 768px){#site-header-inner { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_mobile_top_padding");if(a){var c='<style class="customizer-ocean_header_mobile_top_padding">@media (max-width: 480px){#site-header-inner { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_mobile_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_mobile_right_padding");if(a){var c='<style class="customizer-ocean_header_mobile_right_padding">@media (max-width: 480px){#site-header-inner { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_header_mobile_bottom_padding">@media (max-width: 480px){#site-header-inner { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_mobile_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_mobile_left_padding");if(a){var c='<style class="customizer-ocean_header_mobile_left_padding">@media (max-width: 480px){#site-header-inner { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_background");if(a&&!$("#site-header").hasClass("medium-header")){var c='<style class="customizer-ocean_header_background">#site-header,.is-sticky #site-header.transparent-header,#searchform-header-replace { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_header_border_bottom",function(a){a.bind(function(a){var b=$(".customizer-ocean_header_border_bottom");if(a){var c='<style class="customizer-ocean_header_border_bottom">#site-header { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_transparent_header_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_transparent_header_bg");if(a){var c='<style class="customizer-ocean_transparent_header_bg">#site-header.transparent-header { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_menu_bar_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_menu_bar_color");if(a){var c='<style class="customizer-ocean_full_screen_header_menu_bar_color">#site-header.full_screen-header .menu-bar .ham,#site-header.full_screen-header .menu-bar .ham:before,#site-header.full_screen-header .menu-bar .ham:after { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_menu_bar_close_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_menu_bar_close_color");if(a){var c='<style class="customizer-ocean_full_screen_header_menu_bar_close_color">#site-header.full_screen-header .menu-bar.exit .ham:before,#site-header.full_screen-header .menu-bar.exit .ham:after { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_bg");if(a){var c='<style class="customizer-ocean_full_screen_header_bg">#site-header.full_screen-header #full-screen-menu { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_links_bg_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_links_bg_color");if(a){var c='<style class="customizer-ocean_full_screen_header_links_bg_color">#site-header.full_screen-header .fs-dropdown-menu li a { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_links_hover_bg_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_links_hover_bg_color");if(a){var c='<style class="customizer-ocean_full_screen_header_links_hover_bg_color">#site-header.full_screen-header .fs-dropdown-menu li a:hover { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_links_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_links_color");if(a){var c='<style class="customizer-ocean_full_screen_header_links_color">#site-header.full_screen-header .fs-dropdown-menu li a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_links_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_links_hover_color");if(a){var c='<style class="customizer-ocean_full_screen_header_links_hover_color">#site-header.full_screen-header .fs-dropdown-menu li a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_search_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_search_color");if(a){var c='<style class="customizer-ocean_full_screen_header_search_color">#site-header.full_screen-header .fs-dropdown-menu>li.search-toggle-li input,#site-header.full_screen-header .fs-dropdown-menu>li.search-toggle-li label { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_search_dashed_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_search_dashed_bg");if(a){var c='<style class="customizer-ocean_full_screen_header_search_dashed_bg">#site-header.full_screen-header .fs-dropdown-menu>li.search-toggle-li label i { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_search_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_search_border_color");if(a){var c='<style class="customizer-ocean_full_screen_header_search_border_color">#site-header.full_screen-header .fs-dropdown-menu>li.search-toggle-li input { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_search_hover_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_search_hover_border_color");if(a){var c='<style class="customizer-ocean_full_screen_header_search_hover_border_color">#site-header.full_screen-header .fs-dropdown-menu>li.search-toggle-li input:hover { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_header_search_focus_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_header_search_focus_border_color");if(a){var c='<style class="customizer-ocean_full_screen_header_search_focus_border_color">#site-header.full_screen-header .fs-dropdown-menu>li.search-toggle-li input:focus { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_header_menu_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_header_menu_background");if(a){var c='<style class="customizer-ocean_top_header_menu_background">#site-header.top-header .header-top,#site-header.top-header #searchform-header-replace { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_header_search_button_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_header_search_button_border_color");
if(a){var c='<style class="customizer-ocean_top_header_search_button_border_color">#site-header.top-header #search-toggle { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_header_search_button_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_header_search_button_color");if(a){var c='<style class="customizer-ocean_top_header_search_button_color">#site-header.top-header #search-toggle a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_top_header_search_button_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_top_header_search_button_hover_color");if(a){var c='<style class="customizer-ocean_top_header_search_button_hover_color">#site-header.top-header #search-toggle a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_top_header_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_top_header_bg");if(a){var c='<style class="customizer-ocean_medium_header_top_header_bg">#site-header.medium-header .top-header-wrap,#searchform-header-replace { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_top_header_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_top_header_top_padding");if(a){var c='<style class="customizer-ocean_medium_header_top_header_top_padding">#site-header.medium-header .top-header-wrap { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_top_header_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_top_header_bottom_padding");if(a){var c='<style class="customizer-ocean_medium_header_top_header_bottom_padding">#site-header.medium-header .top-header-wrap { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_top_header_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_top_header_tablet_top_padding");if(a){var c='<style class="customizer-ocean_medium_header_top_header_pablet_top_padding">@media (max-width: 768px){#site-header.medium-header .top-header-wrap { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_top_header_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_top_header_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_medium_header_top_header_tablet_bottom_padding">@media (max-width: 768px){#site-header.medium-header .top-header-wrap { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_top_header_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_top_header_mobile_top_padding");if(a){var c='<style class="customizer-ocean_medium_header_top_header_mobile_top_padding">@media (max-width: 480px){#site-header.medium-header .top-header-wrap { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_top_header_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_top_header_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_medium_header_top_header_mobile_bottom_padding">@media (max-width: 480px){#site-header.medium-header .top-header-wrap { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_sticky_top_header_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_sticky_top_header_top_padding");if(a){var c='<style class="customizer-ocean_medium_header_sticky_top_header_top_padding">.is-sticky #site-header.medium-header .top-header-wrap { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_sticky_top_header_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_sticky_top_header_bottom_padding");if(a){var c='<style class="customizer-ocean_medium_header_sticky_top_header_bottom_padding">.is-sticky #site-header.medium-header .top-header-wrap { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_sticky_top_header_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_sticky_top_header_tablet_top_padding");if(a){var c='<style class="customizer-ocean_medium_header_sticky_top_header_tablet_top_padding">@media (max-width: 768px){.is-sticky #site-header.medium-header .top-header-wrap { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_sticky_top_header_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_sticky_top_header_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_medium_header_sticky_top_header_tablet_bottom_padding">@media (max-width: 768px){.is-sticky #site-header.medium-header .top-header-wrap { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_sticky_top_header_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_sticky_top_header_mobile_top_padding");if(a){var c='<style class="customizer-ocean_medium_header_sticky_top_header_mobile_top_padding">@media (max-width: 480px){.is-sticky #site-header.medium-header .top-header-wrap { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_sticky_top_header_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_sticky_top_header_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_medium_header_sticky_top_header_mobile_bottom_padding">@media (max-width: 480px){.is-sticky #site-header.medium-header .top-header-wrap { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_menu_items_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_menu_items_right_padding");if(a){var c='<style class="customizer-ocean_medium_header_menu_items_right_padding">#site-header.medium-header #site-navigation-wrap .dropdown-menu > li > a { padding-right: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_menu_items_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_menu_items_left_padding");if(a){var c='<style class="customizer-ocean_medium_header_menu_items_left_padding">#site-header.medium-header #site-navigation-wrap .dropdown-menu > li > a { padding-left: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_menu_items_tablet_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_menu_items_tablet_right_padding");if(a){var c='<style class="customizer-ocean_medium_header_menu_items_tablet_right_padding">@media (max-width: 768px){#site-header.medium-header #site-navigation-wrap .dropdown-menu > li > a,#site-header.medium-header #oceanwp-mobile-menu-icon a { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_menu_items_tablet_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_menu_items_tablet_left_padding");if(a){var c='<style class="customizer-ocean_medium_header_menu_items_tablet_left_padding">@media (max-width: 768px){#site-header.medium-header #site-navigation-wrap .dropdown-menu > li > a { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_menu_items_mobile_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_menu_items_mobile_right_padding");if(a){var c='<style class="customizer-ocean_medium_header_menu_items_mobile_right_padding">@media (max-width: 480px){#site-header.medium-header #site-navigation-wrap .dropdown-menu > li > a { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_menu_items_mobile_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_menu_items_mobile_left_padding");if(a){var c='<style class="customizer-ocean_medium_header_menu_items_mobile_left_padding">@media (max-width: 480px){#site-header.medium-header #site-navigation-wrap .dropdown-menu > li > a,#site-header.medium-header #oceanwp-mobile-menu-icon a { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_menu_height",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_menu_height");if(a){var c='<style class="customizer-ocean_medium_header_menu_height">#site-header.medium-header #site-navigation-wrap .dropdown-menu > li > a,#site-header.medium-header #oceanwp-mobile-menu-icon a { line-height: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_menu_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_menu_bg");if(a){var c='<style class="customizer-ocean_medium_header_menu_bg">#site-header.medium-header #site-navigation-wrap,#site-header.medium-header #oceanwp-mobile-menu-icon { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_search_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_search_bg");if(a){var c='<style class="customizer-ocean_medium_header_search_bg">#site-header.medium-header #medium-searchform .search-bg { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_search_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_search_color");if(a){var c='<style class="customizer-ocean_medium_header_search_color">#site-header.medium-header #medium-searchform input { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_search_placeholder_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_search_placeholder_color");if(a){var c='<style class="customizer-ocean_medium_header_search_placeholder_color">#site-header.medium-header #medium-searchform label { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_search_button_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_search_button_color");if(a){var c='<style class="customizer-ocean_medium_header_search_button_color">#site-header.medium-header #medium-searchform button { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_search_button_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_search_button_hover_color");if(a){var c='<style class="customizer-ocean_medium_header_search_button_hover_color">#site-header.medium-header #medium-searchform button:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_logo_max_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_logo_max_width");if(a){var c='<style class="customizer-ocean_logo_max_width">#site-logo #site-logo-inner a img, #site-header.center-header #site-navigation .middle-site-logo a img { max-width: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_logo_max_width_tablet",function(a){a.bind(function(a){var b=$(".customizer-ocean_logo_max_width_tablet");if(a){var c='<style class="customizer-ocean_logo_max_width_tablet">@media (max-width: 768px){#site-logo #site-logo-inner a img, #site-header.center-header #site-navigation .middle-site-logo a img { max-width: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_logo_max_width_mobile",function(a){a.bind(function(a){var b=$(".customizer-ocean_logo_max_width_mobile");if(a){var c='<style class="customizer-ocean_logo_max_width_mobile">@media (max-width: 480px){#site-logo #site-logo-inner a img, #site-header.center-header #site-navigation .middle-site-logo a img { max-width: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_logo_max_height",function(a){a.bind(function(a){var b=$(".customizer-ocean_logo_max_height");if(a){var c='<style class="customizer-ocean_logo_max_height">#site-logo #site-logo-inner a img, #site-header.center-header #site-navigation .middle-site-logo a img { max-height: '+a+"px !important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_logo_max_height_tablet",function(a){a.bind(function(a){var b=$(".customizer-ocean_logo_max_height_tablet");if(a){var c='<style class="customizer-ocean_logo_max_height_tablet">@media (max-width: 768px){#site-logo #site-logo-inner a img, #site-header.center-header #site-navigation .middle-site-logo a img { max-height: '+a+"px !important; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_logo_max_height_mobile",function(a){a.bind(function(a){var b=$(".customizer-ocean_logo_max_height_mobile");if(a){var c='<style class="customizer-ocean_logo_max_height_mobile">@media (max-width: 480px){#site-logo #site-logo-inner a img, #site-header.center-header #site-navigation .middle-site-logo a img { max-height: '+a+"px !important; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_logo_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_logo_color");if(a){var c='<style class="customizer-ocean_logo_color">#site-logo a.site-logo-text { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_logo_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_logo_hover_color");if(a){var c='<style class="customizer-ocean_logo_hover_color">#site-logo a.site-logo-text:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_search_overlay_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_search_overlay_bg");if(a){var c='<style class="customizer-ocean_search_overlay_bg">#searchform-overlay { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_search_overlay_input_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_search_overlay_input_color");if(a){var c='<style class="customizer-ocean_search_overlay_input_color">#searchform-overlay form input,#searchform-overlay form label { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_search_overlay_placeholder_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_search_overlay_placeholder_color");if(a){var c='<style class="customizer-ocean_search_overlay_placeholder_color">#searchform-overlay form label { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_search_overlay_input_dashed_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_search_overlay_input_dashed_bg");if(a){var c='<style class="customizer-ocean_search_overlay_input_dashed_bg">#searchform-overlay form label i { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_search_overlay_input_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_search_overlay_input_border_color");if(a){var c='<style class="customizer-ocean_search_overlay_input_border_color">#searchform-overlay form input { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_search_overlay_input_hover_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_search_overlay_input_hover_border_color");if(a){var c='<style class="customizer-ocean_search_overlay_input_hover_border_color">#searchform-overlay form input:hover { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_search_overlay_input_focus_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_search_overlay_input_focus_border_color");if(a){var c='<style class="customizer-ocean_search_overlay_input_focus_border_color">#searchform-overlay form input:focus { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_search_overlay_close_button_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_search_overlay_close_button_color");if(a){var c='<style class="customizer-ocean_search_overlay_close_button_color">.search-overlay .search-toggle-li .search-overlay-toggle.exit > span:before { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_search_overlay_close_button_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_search_overlay_close_button_hover_color");if(a){var c='<style class="customizer-ocean_search_overlay_close_button_hover_color">#searchform-overlay .overlay-close:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_items_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_items_padding");if(a&&!$("#site-header").hasClass("medium-header")){var c='<style class="customizer-ocean_menu_items_padding">#site-navigation-wrap .dropdown-menu > li > a { padding: 0 '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_medium_header_menu_items_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_medium_header_menu_items_padding");if(a&&$("#site-header").hasClass("medium-header")){var c='<style class="customizer-ocean_medium_header_menu_items_padding">#site-header.medium-header #site-navigation-wrap .dropdown-menu > li > a { padding: 0 '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_link_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_link_color");if(a){var c='<style class="customizer-ocean_menu_link_color">#site-navigation-wrap .dropdown-menu > li > a, #oceanwp-mobile-menu-icon a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_link_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_link_color_hover");if(a){var c='<style class="customizer-ocean_menu_link_color_hover">#site-navigation-wrap .dropdown-menu > li > a:hover, #oceanwp-mobile-menu-icon a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_link_color_active",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_link_color_active");if(a){var c='<style class="customizer-ocean_menu_link_color_active">#site-navigation-wrap .dropdown-menu > .current-menu-item > a,#site-navigation-wrap .dropdown-menu > .current-menu-parent > a,#site-navigation-wrap .dropdown-menu > .current-menu-item > a:hover,#site-navigation-wrap .dropdown-menu > .current-menu-parent > a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_link_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_link_background");if(a){var c='<style class="customizer-ocean_menu_link_background">#site-navigation-wrap .dropdown-menu > li > a { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_link_hover_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_link_hover_background");if(a){var c='<style class="customizer-ocean_menu_link_hover_background">#site-navigation-wrap .dropdown-menu > li > a:hover,#site-navigation-wrap .dropdown-menu > li.sfHover > a { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_link_active_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_link_active_background");if(a){var c='<style class="customizer-ocean_menu_link_active_background">#site-navigation-wrap .dropdown-menu > .current-menu-item > a,#site-navigation-wrap .dropdown-menu > .current-menu-parent > a,#site-navigation-wrap .dropdown-menu > .current-menu-item > a:hover,#site-navigation-wrap .dropdown-menu > .current-menu-parent > a:hover { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_width");if(a){var c='<style class="customizer-ocean_dropdown_width">.dropdown-menu .sub-menu { min-width: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_menu_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_menu_background");if(a){var c='<style class="customizer-ocean_dropdown_menu_background">.dropdown-menu .sub-menu,#searchform-dropdown,#current-shop-items-dropdown { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_menu_top_border",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_menu_top_border");if(a){var c='<style class="customizer-ocean_dropdown_menu_top_border">.dropdown-menu .sub-menu,#searchform-dropdown,#current-shop-items-dropdown { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_menu_borders",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_menu_borders");if(a){var c='<style class="customizer-ocean_dropdown_menu_borders">.dropdown-menu ul li.menu-item, .navigation > ul > li > ul.megamenu.sub-menu > li, .navigation .megamenu li ul.sub-menu { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_menu_link_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_menu_link_color");if(a){var c='<style class="customizer-ocean_dropdown_menu_link_color">.dropdown-menu ul li a.menu-link { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_menu_link_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_menu_link_color_hover");if(a){var c='<style class="customizer-ocean_dropdown_menu_link_color_hover">.dropdown-menu ul li a.menu-link:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_menu_link_hover_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_menu_link_hover_bg");if(a){var c='<style class="customizer-ocean_dropdown_menu_link_hover_bg">.dropdown-menu ul li a.menu-link:hover { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_menu_link_color_active",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_menu_link_color_active");if(a){var c='<style class="customizer-ocean_dropdown_menu_link_color_active">.dropdown-menu ul > .current-menu-item > a.menu-link { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_menu_link_bg_active",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_menu_link_bg_active");if(a){var c='<style class="customizer-ocean_dropdown_menu_link_bg_active">.dropdown-menu ul > .current-menu-item > a { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_category_title_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_category_title_bg");if(a){var c='<style class="customizer-ocean_dropdown_category_title_bg">.navigation li.mega-cat .mega-cat-title { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_category_title_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_category_title_color");if(a){var c='<style class="customizer-ocean_dropdown_category_title_color">.navigation li.mega-cat .mega-cat-title { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_category_links_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_category_links_color");if(a){var c='<style class="customizer-ocean_dropdown_category_links_color">.navigation li.mega-cat ul li .mega-post-title a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_category_links_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_category_links_hover_color");if(a){var c='<style class="customizer-ocean_dropdown_category_links_hover_color">.navigation li.mega-cat ul li .mega-post-title a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_dropdown_category_date_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_dropdown_category_date_color");if(a){var c='<style class="customizer-ocean_dropdown_category_date_color">.navigation li.mega-cat ul li .mega-post-date { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_social_font_size",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_social_font_size");if(a){var c='<style class="customizer-ocean_menu_social_font_size">#oceanwp-social-menu ul li a,#oceanwp-social-menu .colored ul li a,#oceanwp-social-menu .minimal ul li a,#oceanwp-social-menu .dark ul li a { font-size: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_social_tablet_font_size",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_social_tablet_font_size");if(a){var c='<style class="customizer-ocean_menu_social_tablet_font_size">@media (max-width: 768px){#oceanwp-social-menu ul li a,#oceanwp-social-menu .colored ul li a,#oceanwp-social-menu .minimal ul li a,#oceanwp-social-menu .dark ul li a,.sidr-class-social-menu-inner ul li a { font-size: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_social_mobile_font_size",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_social_mobile_font_size");if(a){var c='<style class="customizer-ocean_menu_social_mobile_font_size">@media (max-width: 768px){#oceanwp-social-menu ul li a,#oceanwp-social-menu .colored ul li a,#oceanwp-social-menu .minimal ul li a,#oceanwp-social-menu .dark ul li a,.sidr-class-social-menu-inner ul li a { font-size: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_social_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_social_right_padding");if(a){var c='<style class="customizer-ocean_menu_social_right_padding">#oceanwp-social-menu ul li a,#oceanwp-social-menu .colored ul li,#oceanwp-social-menu .minimal ul li,#oceanwp-social-menu .dark ul li { padding-right: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_social_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_social_left_padding");if(a){var c='<style class="customizer-ocean_menu_social_left_padding">#oceanwp-social-menu ul li a,#oceanwp-social-menu .colored ul li,#oceanwp-social-menu .minimal ul li,#oceanwp-social-menu .dark ul li { padding-left: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_social_tablet_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_social_tablet_right_padding");if(a){var c='<style class="customizer-ocean_menu_social_tablet_right_padding">@media (max-width: 768px){#oceanwp-social-menu ul li a,#oceanwp-social-menu .colored ul li,#oceanwp-social-menu .minimal ul li,#oceanwp-social-menu .dark ul li { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_social_tablet_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_social_tablet_left_padding");if(a){var c='<style class="customizer-ocean_menu_social_tablet_left_padding">@media (max-width: 768px){#oceanwp-social-menu ul li a,#oceanwp-social-menu .colored ul li,#oceanwp-social-menu .minimal ul li,#oceanwp-social-menu .dark ul li { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_social_mobile_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_social_mobile_right_padding");if(a){var c='<style class="customizer-ocean_menu_social_mobile_right_padding">@media (max-width: 480px){#oceanwp-social-menu ul li a,#oceanwp-social-menu .colored ul li,#oceanwp-social-menu .minimal ul li,#oceanwp-social-menu .dark ul li { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_social_mobile_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_social_mobile_left_padding");if(a){var c='<style class="customizer-ocean_menu_social_mobile_left_padding">@media (max-width: 480px){#oceanwp-social-menu ul li a,#oceanwp-social-menu .colored ul li,#oceanwp-social-menu .minimal ul li,#oceanwp-social-menu .dark ul li { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_social_links_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_social_links_color");if(a){var c='<style class="customizer-ocean_menu_social_links_color">#oceanwp-social-menu ul li a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_menu_social_hover_links_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_menu_social_hover_links_color");if(a){var c='<style class="customizer-ocean_menu_social_hover_links_color">#oceanwp-social-menu ul li a:hover { color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_sidr_close_button_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_sidr_close_button_background");if(a){var c='<style class="customizer-ocean_mobile_menu_sidr_close_button_background">a.sidr-class-toggle-sidr-close { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_sidr_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_sidr_background");if(a){var c='<style class="customizer-ocean_mobile_menu_sidr_background">#sidr, #mobile-dropdown { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_mobile_menu_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_mobile_menu_bg");if(a){var c='<style class="customizer-ocean_full_screen_mobile_menu_bg">#mobile-fullscreen { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_sidr_dropdowns_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_sidr_dropdowns_background");if(a){var c='<style class="customizer-ocean_mobile_menu_sidr_dropdowns_background">.sidr-class-dropdown-menu ul, #mobile-dropdown ul li ul, #mobile-fullscreen .fs-dropdown-menu ul.sub-menu { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_sidr_borders",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_sidr_borders");if(a){var c='<style class="customizer-ocean_mobile_menu_sidr_borders">#sidr li, #sidr ul, #mobile-dropdown ul li, #mobile-dropdown ul li ul { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_links",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_links");if(a){var c='<style class="customizer-ocean_mobile_menu_links">body .sidr a, body .sidr-class-dropdown-toggle, #mobile-dropdown ul li a, #mobile-dropdown ul li a .dropdown-toggle, #mobile-fullscreen .fs-dropdown-menu li a, #mobile-fullscreen #oceanwp-social-menu.simple-social ul li a, #mobile-fullscreen a.close { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_links_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_links_hover");if(a){var c='<style class="customizer-ocean_mobile_menu_links_hover">body .sidr a:hover, body .sidr-class-dropdown-toggle:hover, body .sidr-class-dropdown-toggle .fa, body .sidr-class-menu-item-has-children.active > a, body .sidr-class-menu-item-has-children.active > a > .sidr-class-dropdown-toggle, #mobile-dropdown ul li a:hover, #mobile-dropdown ul li a .dropdown-toggle:hover, #mobile-dropdown .menu-item-has-children.active > a, #mobile-dropdown .menu-item-has-children.active > a > .dropdown-toggle, #mobile-fullscreen .fs-dropdown-menu li a:hover, #mobile-fullscreen #oceanwp-social-menu.simple-social ul li a:hover, #mobile-fullscreen a.close:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_mobile_menu_links_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_mobile_menu_links_bg");if(a){var c='<style class="customizer-ocean_full_screen_mobile_menu_links_bg">#mobile-fullscreen .fs-dropdown-menu > li > a { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_mobile_menu_links_hover_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_mobile_menu_links_hover_bg");if(a){var c='<style class="customizer-ocean_full_screen_mobile_menu_links_hover_bg">#mobile-fullscreen .fs-dropdown-menu > li > a:hover { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_sidr_search_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_sidr_search_bg");if(a){var c='<style class="customizer-ocean_mobile_menu_sidr_search_bg">body .sidr-class-mobile-searchform input, #mobile-dropdown #mobile-menu-search form input { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_sidr_search_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_sidr_search_color");if(a){var c='<style class="customizer-ocean_mobile_menu_sidr_search_color">body .sidr-class-mobile-searchform input,body .sidr-class-mobile-searchform input:focus, #mobile-dropdown #mobile-menu-search form input, #mobile-fullscreen #mobile-search input, #mobile-fullscreen #mobile-search label { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_sidr_search_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_sidr_search_border_color");if(a){var c='<style class="customizer-ocean_mobile_menu_sidr_search_border_color">body .sidr-class-mobile-searchform input, #mobile-dropdown #mobile-menu-search form input, #mobile-fullscreen #mobile-search input { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_full_screen_mobile_menu_search_border_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_full_screen_mobile_menu_search_border_color_hover");if(a){var c='<style class="customizer-ocean_full_screen_mobile_menu_search_border_color_hover">#mobile-fullscreen #mobile-search input:hover { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_sidr_search_border_color_focus",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_sidr_search_border_color_focus");if(a){var c='<style class="customizer-ocean_mobile_menu_sidr_search_border_color_focus">body .sidr-class-mobile-searchform input:focus, #mobile-dropdown #mobile-menu-search form input:focus, #mobile-fullscreen #mobile-search input:focus { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_sidr_search_button_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_sidr_search_button_color");if(a){var c='<style class="customizer-ocean_mobile_menu_sidr_search_button_color">.sidr-class-mobile-searchform button, #mobile-dropdown #mobile-menu-search form button { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_mobile_menu_sidr_search_button_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_mobile_menu_sidr_search_button_hover_color");if(a){var c='<style class="customizer-ocean_mobile_menu_sidr_search_button_hover_color">.sidr-class-mobile-searchform button:hover, #mobile-dropdown #mobile-menu-search form button:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_width",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_width");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_width">#current-shop-items-dropdown { width: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_link_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_link_color");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_link_color">#site-navigation .woocommerce ul.product_list_widget li a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_link_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_link_color_hover");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_link_color_hover">#site-navigation .woocommerce ul.product_list_widget li a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_remove_link_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_remove_link_color");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_remove_link_color">body #site-navigation .woocommerce ul.product_list_widget li a.remove { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_remove_link_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_remove_link_color_hover");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_remove_link_color_hover">body #site-navigation .woocommerce ul.product_list_widget li a.remove:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_quantity_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_quantity_color");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_quantity_color">#site-navigation .woocommerce ul.product_list_widget li .quantity { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_price_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_price_color");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_price_color">#site-navigation #current-shop-items-dropdown .amount { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_subtotal_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_subtotal_color");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_subtotal_color">#site-navigation .woocommerce .total strong { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_checkout_button_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_checkout_button_bg");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_checkout_button_bg">#site-navigation .woocommerce .widget_shopping_cart_content .buttons .checkout { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_checkout_button_hover_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_checkout_button_hover_bg");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_checkout_button_hover_bg">#site-navigation .woocommerce .widget_shopping_cart_content .buttons .checkout:hover { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_checkout_button_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_checkout_button_color");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_checkout_button_color">#site-navigation .woocommerce .widget_shopping_cart_content .buttons .checkout { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_woo_cart_dropdown_checkout_button_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_woo_cart_dropdown_checkout_button_hover_color");if(a){var c='<style class="customizer-ocean_woo_cart_dropdown_checkout_button_hover_color">#site-navigation .woocommerce .widget_shopping_cart_content .buttons .checkout:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_top_padding");if(a){var c='<style class="customizer-ocean_footer_top_padding">#footer-widgets { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_right_padding");if(a){var c='<style class="customizer-ocean_footer_right_padding">#footer-widgets { padding-right: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_bottom_padding");if(a){var c='<style class="customizer-ocean_footer_bottom_padding">#footer-widgets { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_left_padding");if(a){var c='<style class="customizer-ocean_footer_left_padding">#footer-widgets { padding-left: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_tablet_top_padding");if(a){var c='<style class="customizer-ocean_footer_tablet_top_padding">@media (max-width: 768px){#footer-widgets { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_tablet_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_tablet_right_padding");if(a){var c='<style class="customizer-ocean_footer_tablet_right_padding">@media (max-width: 768px){#footer-widgets { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_footer_tablet_bottom_padding">@media (max-width: 768px){#footer-widgets { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_tablet_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_tablet_left_padding");if(a){var c='<style class="customizer-ocean_footer_tablet_left_padding">@media (max-width: 768px){#footer-widgets { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_mobile_top_padding");if(a){var c='<style class="customizer-ocean_footer_mobile_top_padding">@media (max-width: 480px){#footer-widgets { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_mobile_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_mobile_right_padding");if(a){var c='<style class="customizer-ocean_footer_mobile_right_padding">@media (max-width: 480px){#footer-widgets { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_footer_mobile_bottom_padding">@media (max-width: 480px){#footer-widgets { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_mobile_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_mobile_left_padding");if(a){var c='<style class="customizer-ocean_footer_mobile_left_padding">@media (max-width: 480px){#footer-widgets { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_background");if(a){var c='<style class="customizer-ocean_footer_background">#footer-widgets { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_color");if(a){var c='<style class="customizer-ocean_footer_color">#footer-widgets,#footer-widgets p,#footer-widgets li a:before,#footer-widgets .contact-info-widget span.oceanwp-contact-title,#footer-widgets .recent-posts-date,#footer-widgets .recent-posts-comments,#footer-widgets .widget-recent-posts-icons li .fa { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_borders",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_borders");if(a){var c='<style class="customizer-ocean_footer_borders">#footer-widgets li,#footer-widgets #wp-calendar caption,#footer-widgets #wp-calendar th,#footer-widgets #wp-calendar tbody,#footer-widgets .contact-info-widget i,#footer-widgets .oceanwp-newsletter-form-wrap input[type="email"],#footer-widgets .posts-thumbnails-widget li,#footer-widgets .social-widget li a { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_link_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_link_color");if(a){var c='<style class="customizer-ocean_footer_link_color">#footer-widgets .footer-box a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_footer_link_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_footer_link_color_hover");if(a){var c='<style class="customizer-ocean_footer_link_color_hover">#footer-widgets .footer-box a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_text_align",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_text_align");if(a){var c='<style class="customizer-ocean_bottom_footer_text_align">#footer-bottom { text-align: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_top_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_top_padding">#footer-bottom { padding-top: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_right_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_right_padding">#footer-bottom { padding-right: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_bottom_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_bottom_padding">#footer-bottom { padding-bottom: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_left_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_left_padding">#footer-bottom { padding-left: '+a+"px; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_tablet_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_tablet_top_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_tablet_top_padding">@media (max-width: 768px){#footer-bottom { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_tablet_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_tablet_right_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_tablet_right_padding">@media (max-width: 768px){#footer-bottom { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_tablet_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_tablet_bottom_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_tablet_bottom_padding">@media (max-width: 768px){#footer-bottom { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_tablet_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_tablet_left_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_tablet_left_padding">@media (max-width: 768px){#footer-bottom { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_mobile_top_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_mobile_top_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_mobile_top_padding">@media (max-width: 480px){#footer-bottom { padding-top: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_mobile_right_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_mobile_right_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_mobile_right_padding">@media (max-width: 480px){#footer-bottom { padding-right: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_mobile_bottom_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_mobile_bottom_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_mobile_bottom_padding">@media (max-width: 480px){#footer-bottom { padding-bottom: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_mobile_left_padding",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_mobile_left_padding");if(a){var c='<style class="customizer-ocean_bottom_footer_mobile_left_padding">@media (max-width: 480px){#footer-bottom { padding-left: '+a+"px; }}</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_background",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_background");if(a){var c='<style class="customizer-ocean_bottom_footer_background">#footer-bottom { background-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_color");if(a){var c='<style class="customizer-ocean_bottom_footer_color">#footer-bottom,#footer-bottom p { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_link_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_link_color");if(a){var c='<style class="customizer-ocean_bottom_footer_link_color">#footer-bottom a,#footer-bottom #footer-bottom-menu a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_bottom_footer_link_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_bottom_footer_link_color_hover");if(a){var c='<style class="customizer-ocean_bottom_footer_link_color_hover">#footer-bottom a:hover,#footer-bottom #footer-bottom-menu a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_onsale_bg",function(a){a.bind(function(a){$(".woocommerce span.onsale").css("background-color",a)})}),api("ocean_onsale_color",function(a){a.bind(function(a){$(".woocommerce span.onsale").css("color",a)})}),api("ocean_outofstock_bg",function(a){a.bind(function(a){$(".woocommerce ul.products li.product.outofstock .outofstock-badge").css("background-color",a)})}),api("ocean_outofstock_color",function(a){a.bind(function(a){$(".woocommerce ul.products li.product.outofstock .outofstock-badge").css("color",a)})}),api("ocean_stars_color_before",function(a){a.bind(function(a){var b=$(".customizer-ocean_stars_color_before");if(a){var c='<style class="customizer-ocean_stars_color_before">.woocommerce .star-rating:before{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_stars_color",function(a){a.bind(function(a){$(".woocommerce .star-rating span").css("color",a)})}),api("ocean_quantity_border_color",function(a){a.bind(function(a){$(".quantity .qty,.quantity .qty-changer a").css("border-color",a)})}),api("ocean_quantity_border_color_focus",function(a){a.bind(function(a){var b=$(".customizer-ocean_quantity_border_color_focus");if(a){var c='<style class="customizer-ocean_quantity_border_color_focus">body .quantity .qty:focus{ border-color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_quantity_color",function(a){a.bind(function(a){$(".quantity .qty").css("color",a)})}),api("ocean_quantity_plus_minus_color",function(a){a.bind(function(a){$(".quantity .qty-changer a").css("color",a)})}),api("ocean_quantity_plus_minus_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_quantity_plus_minus_color_hover");if(a){var c='<style class="customizer-ocean_quantity_plus_minus_color_hover">.quantity .qty-changer a:hover{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_quantity_plus_minus_border_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_quantity_plus_minus_border_color_hover");if(a){var c='<style class="customizer-ocean_quantity_plus_minus_border_color_hover">.quantity .qty-changer a:hover{ border-color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_toolbar_border_color",function(a){a.bind(function(a){$(".woocommerce .oceanwp-toolbar").css("border-color",a)})}),api("ocean_toolbar_grid_list_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_toolbar_grid_list_color");if(a){var c='<style class="customizer-ocean_toolbar_grid_list_color">.woocommerce .oceanwp-grid-list a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_toolbar_grid_list_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_toolbar_grid_list_border_color");if(a){var c='<style class="customizer-ocean_toolbar_grid_list_border_color">.woocommerce .oceanwp-grid-list a { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_toolbar_grid_list_hover_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_toolbar_grid_list_hover_color");if(a){var c='<style class="customizer-ocean_toolbar_grid_list_hover_color">.woocommerce .oceanwp-grid-list a:hover { color: '+a+"; border-color: "+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_toolbar_grid_list_active_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_toolbar_grid_list_active_color");if(a){var c='<style class="customizer-ocean_toolbar_grid_list_active_color">.woocommerce .oceanwp-grid-list a.active { color: '+a+"; border-color: "+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_toolbar_select_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_toolbar_select_color");if(a){var c='<style class="customizer-ocean_toolbar_select_color">.woocommerce .woocommerce-ordering .theme-select,.woocommerce .woocommerce-ordering .theme-select:after { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_toolbar_select_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_toolbar_select_border_color");if(a){var c='<style class="customizer-ocean_toolbar_select_border_color">.woocommerce .woocommerce-ordering .theme-select,.woocommerce .woocommerce-ordering .theme-select:after { border-color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_toolbar_number_of_products_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_toolbar_number_of_products_color");if(a){var c='<style class="customizer-ocean_toolbar_number_of_products_color">.woocommerce .result-count li.view-title,.woocommerce .result-count li a.active, .woocommerce .result-count li a:hover { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_toolbar_number_of_products_inactive_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_toolbar_number_of_products_inactive_color");if(a){var c='<style class="customizer-ocean_toolbar_number_of_products_inactive_color">.woocommerce .result-count li a { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_toolbar_number_of_products_border_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_toolbar_number_of_products_border_color");
if(a){var c='<style class="customizer-ocean_toolbar_number_of_products_border_color">.woocommerce .result-count li:after { color: '+a+"; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_category_color",function(a){a.bind(function(a){$(".woocommerce ul.products li.product .category a").css("color",a)})}),api("ocean_category_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_category_color_hover");if(a){var c='<style class="customizer-ocean_category_color_hover">.woocommerce ul.products li.product .category a:hover{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_product_title_color",function(a){a.bind(function(a){$(".woocommerce ul.products li.product a.title").css("color",a)})}),api("ocean_product_title_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_product_title_color_hover");if(a){var c='<style class="customizer-ocean_product_title_color_hover">.woocommerce ul.products li.product a.title:hover{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_product_entry_price_color",function(a){a.bind(function(a){$(".woocommerce ul.products li.product .price .amount").css("color",a)})}),api("ocean_product_entry_del_price_color",function(a){a.bind(function(a){$(".woocommerce ul.products li.product .price del .amount").css("color",a)})}),api("ocean_product_entry_addtocart_color",function(a){a.bind(function(a){$(".woocommerce ul.products li.product .button,.woocommerce ul.products li.product .product-inner .added_to_cart").css("color",a)})}),api("ocean_product_entry_addtocart_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_product_entry_addtocart_color_hover");if(a){var c='<style class="customizer-ocean_product_entry_addtocart_color_hover">.woocommerce ul.products li.product .button:hover,.woocommerce ul.products li.product .product-inner .added_to_cart:hover{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_product_entry_addtocart_border_color",function(a){a.bind(function(a){$(".woocommerce ul.products li.product .button,.woocommerce ul.products li.product .product-inner .added_to_cart").css("border-color",a)})}),api("ocean_product_entry_addtocart_border_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_product_entry_addtocart_border_color_hover");if(a){var c='<style class="customizer-ocean_product_entry_addtocart_border_color_hover">.woocommerce ul.products li.product .button:hover,.woocommerce ul.products li.product .product-inner .added_to_cart:hover{ border-color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_single_product_title_color",function(a){a.bind(function(a){$(".woocommerce div.product .product_title").css("color",a)})}),api("ocean_single_product_price_color",function(a){a.bind(function(a){$(".price,.amount").css("color",a)})}),api("ocean_single_product_del_price_color",function(a){a.bind(function(a){$(".price del,del .amount").css("color",a)})}),api("ocean_single_product_description_color",function(a){a.bind(function(a){$('.woocommerce div.product div[itemprop="description"]').css("color",a)})}),api("ocean_single_product_meta_title_color",function(a){a.bind(function(a){$(".product_meta .posted_in,.product_meta .tagged_as").css("color",a)})}),api("ocean_single_product_meta_link_color",function(a){a.bind(function(a){$(".product_meta .posted_in a,.product_meta .tagged_as a").css("color",a)})}),api("ocean_single_product_meta_link_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_single_product_meta_link_color_hover");if(a){var c='<style class="customizer-ocean_single_product_meta_link_color_hover">.product_meta .posted_in a:hover,.product_meta .tagged_as a:hover{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_single_product_open_image_color",function(a){a.bind(function(a){$(".woocommerce div.product div.images .open-image").css("color",a)})}),api("ocean_single_product_open_image_border_color",function(a){a.bind(function(a){$(".woocommerce div.product div.images .open-image").css("border-color",a)})}),api("ocean_single_product_thumbnails_next_prev_hover_bg",function(a){a.bind(function(a){var b=$(".customizer-ocean_single_product_thumbnails_next_prev_hover_bg");if(a){var c='<style class="customizer-ocean_single_product_thumbnails_next_prev_hover_bg">.woocommerce div.product .product-thumbnails .slick-arrow:hover{ background-color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_single_product_thumbnails_next_prev_color",function(a){a.bind(function(a){$(".woocommerce div.product .product-thumbnails .slick-arrow").css("color",a)})}),api("ocean_single_product_tabs_borders_color",function(a){a.bind(function(a){$(".woocommerce div.product .woocommerce-tabs ul.tabs").css("border-color",a)})}),api("ocean_single_product_tabs_text_color",function(a){a.bind(function(a){$(".woocommerce div.product .woocommerce-tabs ul.tabs li a").css("color",a)})}),api("ocean_single_product_tabs_text_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_single_product_tabs_text_color_hover");if(a){var c='<style class="customizer-ocean_single_product_tabs_text_color_hover">.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_single_product_tabs_active_text_color",function(a){a.bind(function(a){$(".woocommerce div.product .woocommerce-tabs ul.tabs li.active a").css("color",a)})}),api("ocean_single_product_tabs_active_text_borders_color",function(a){a.bind(function(a){$(".woocommerce div.product .woocommerce-tabs ul.tabs li.active a").css("border-color",a)})}),api("ocean_single_product_tabs_product_description_title_color",function(a){a.bind(function(a){$(".woocommerce div.product .woocommerce-tabs .panel h2").css("color",a)})}),api("ocean_single_product_tabs_product_description_color",function(a){a.bind(function(a){$(".woocommerce div.product .woocommerce-tabs .panel p").css("color",a)})}),api("ocean_account_navigation_borders_color",function(a){a.bind(function(a){$(".woocommerce-MyAccount-navigation ul,.woocommerce-MyAccount-navigation ul li").css("border-color",a)})}),api("ocean_account_navigation_icons_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_account_navigation_icons_color");if(a){var c='<style class="customizer-ocean_account_navigation_icons_color">.woocommerce-MyAccount-navigation ul li a:before{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_account_navigation_links_color",function(a){a.bind(function(a){$(".woocommerce-MyAccount-navigation ul li a").css("color",a)})}),api("ocean_account_navigation_links_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_account_navigation_links_color_hover");if(a){var c='<style class="customizer-ocean_account_navigation_links_color_hover">.woocommerce-MyAccount-navigation ul li a:hover{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_account_addresses_bg",function(a){a.bind(function(a){$(".woocommerce-MyAccount-content .addresses .woocommerce-Address .title, .woocommerce-MyAccount-content .addresses .woocommerce-Address address").css("background-color",a)})}),api("ocean_account_addresses_title_color",function(a){a.bind(function(a){$(".woocommerce-MyAccount-content .addresses .woocommerce-Address .title h3").css("color",a)})}),api("ocean_account_addresses_title_border_color",function(a){a.bind(function(a){$(".woocommerce-MyAccount-content .addresses .woocommerce-Address .title").css("border-color",a)})}),api("ocean_account_addresses_button_bg",function(a){a.bind(function(a){$(".woocommerce-MyAccount-content .addresses .woocommerce-Address .title a").css("background-color",a)})}),api("ocean_account_addresses_button_bg_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_account_addresses_button_bg_hover");if(a){var c='<style class="customizer-ocean_account_addresses_button_bg_hover">.woocommerce-MyAccount-content .addresses .woocommerce-Address .title a:hover{ background-color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_account_addresses_button_color",function(a){a.bind(function(a){$(".woocommerce-MyAccount-content .addresses .woocommerce-Address .title a").css("color",a)})}),api("ocean_account_addresses_button_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_account_addresses_button_color_hover");if(a){var c='<style class="customizer-ocean_account_addresses_button_color_hover">.woocommerce-MyAccount-content .addresses .woocommerce-Address .title a:hover{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_account_addresses_content_color",function(a){a.bind(function(a){$(".woocommerce-MyAccount-content .addresses .woocommerce-Address address").css("color",a)})}),api("ocean_cart_borders_color",function(a){a.bind(function(a){$(".woocommerce-cart table.shop_table,.woocommerce-cart table.shop_table th,.woocommerce-cart table.shop_table td,.woocommerce-cart .cart-collaterals .cross-sells,.woocommerce-page .cart-collaterals .cross-sells,.woocommerce-cart .cart-collaterals h2,.woocommerce-cart .cart-collaterals .cart_totals,.woocommerce-page .cart-collaterals .cart_totals,.woocommerce-cart .cart-collaterals .cart_totals table th,.woocommerce-cart .cart-collaterals .cart_totals .order-total th,.woocommerce-cart table.shop_table td,.woocommerce-cart .cart-collaterals .cart_totals tr td,.woocommerce-cart .cart-collaterals .cart_totals .order-total td").css("border-color",a)})}),api("ocean_cart_head_bg",function(a){a.bind(function(a){$(".woocommerce-cart table.shop_table thead,.woocommerce-cart .cart-collaterals h2").css("background-color",a)})}),api("ocean_cart_head_titles_color",function(a){a.bind(function(a){$(".woocommerce-cart table.shop_table thead th,.woocommerce-cart .cart-collaterals h2").css("color",a)})}),api("ocean_cart_totals_table_titles_color",function(a){a.bind(function(a){$(".woocommerce-cart .cart-collaterals .cart_totals table th").css("color",a)})}),api("ocean_cart_remove_button_color",function(a){a.bind(function(a){$(".woocommerce table.shop_table a.remove").css("color",a)})}),api("ocean_cart_remove_button_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_cart_remove_button_color_hover");if(a){var c='<style class="customizer-ocean_cart_remove_button_color_hover">.woocommerce table.shop_table a.remove:hover{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_checkout_notices_borders_color",function(a){a.bind(function(a){$(".woocommerce-checkout .woocommerce-info").css("border-color",a)})}),api("ocean_checkout_notices_icon_color",function(a){a.bind(function(a){var b=$(".customizer-ocean_checkout_notices_icon_color");if(a){var c='<style class="customizer-ocean_checkout_notices_icon_color">.woocommerce-checkout .woocommerce-info:before{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_checkout_notices_color",function(a){a.bind(function(a){$(".woocommerce-checkout .woocommerce-info").css("color",a)})}),api("ocean_checkout_notices_link_color",function(a){a.bind(function(a){$(".woocommerce-checkout .woocommerce-info a").css("color",a)})}),api("ocean_checkout_notices_link_color_hover",function(a){a.bind(function(a){var b=$(".customizer-ocean_checkout_notices_link_color_hover");if(a){var c='<style class="customizer-ocean_checkout_notices_link_color_hover">.woocommerce-checkout .woocommerce-info a:hover{ color: '+a+"!important; }</style>";b.length?b.replaceWith(c):$("head").append(c)}else b.remove()})}),api("ocean_checkout_notices_form_border_color",function(a){a.bind(function(a){$(".woocommerce-checkout form.login,.woocommerce-checkout form.checkout_coupon").css("border-color",a)})}),api("ocean_checkout_titles_color",function(a){a.bind(function(a){$(".woocommerce .woocommerce-checkout #customer_details h3,.woocommerce .woocommerce-checkout h3#order_review_heading").css("color",a)})}),api("ocean_checkout_titles_border_bottom_color",function(a){a.bind(function(a){$(".woocommerce .woocommerce-checkout #customer_details h3,.woocommerce .woocommerce-checkout h3#order_review_heading").css("border-color",a)})}),api("ocean_checkout_table_main_bg",function(a){a.bind(function(a){$(".woocommerce table.shop_table thead,.woocommerce-checkout-review-order-table tfoot th").css("background-color",a)})}),api("ocean_checkout_table_titles_color",function(a){a.bind(function(a){$(".woocommerce-checkout table.shop_table thead th,.woocommerce-checkout table.shop_table tfoot th").css("color",a)})}),api("ocean_checkout_table_borders_color",function(a){a.bind(function(a){$(".woocommerce-checkout table.shop_table,.woocommerce-checkout table.shop_table th,.woocommerce-checkout table.shop_table td,.woocommerce-checkout table.shop_table tfoot th,.woocommerce-checkout table.shop_table tfoot td").css("border-color",a)})}),api("ocean_checkout_payment_methods_bg",function(a){a.bind(function(a){$(".woocommerce-checkout #payment").css("background-color",a)})}),api("ocean_checkout_payment_methods_borders_color",function(a){a.bind(function(a){$(".woocommerce-checkout #payment,.woocommerce-checkout #payment ul.payment_methods").css("border-color",a)})}),api("ocean_checkout_payment_box_bg",function(a){a.bind(function(a){$(".woocommerce-checkout #payment div.payment_box").css("background-color",a)})}),api("ocean_checkout_payment_box_color",function(a){a.bind(function(a){$(".woocommerce-checkout #payment div.payment_box").css("color",a)})});

} )( jQuery );